#! /bin/bash


dbuser='SYSDBA'
dbpass='masterkey'
dbpath=/var/ksrs/base/AERO.fdb
path_del=/var/ksrs/base/del_log_fdb.log
query=/var/ksrs/base/scripts/query.sql

#Пустой файл, для блокировки повторного запуска на выполнение, пока не будет выполнен скрипт.
lock=/var/ksrs/base/sqldb.lock

sqlconnect="-user $dbuser -password $dbpass $dbpath"

#sql="execute procedure del_log; commit; exit;"

if [ -e $lock ]
then
  echo "Sql-query already running"
else
  touch $lock
  
   #Соединение с базой и выполнение процедуры. Sql запрос находится в файле query.sql
   
  /usr/bin/isql $sqlconnect -i $query && 'date' >> "$path_del"

#/opt/fb25ss/bin/isql $sqlconnect -i query.sql

  rm -f $lock
fi